Subject: [PATCHv2 net-next-2.6 0/5] XFRM,IPv6: Removal of RH2/HAO from IPsec-protected MIPv6 traffic

From: Arnaud Ebalard <[email-masked]>
Date: Tue, 28 Sep 2010 17:53:50 +0200

Hi,

This an updated version of the patches. For reference, introduction of
the feature is here http://thread.gmane.org/gmane.linux.network/172941
Just tell me if you prefer I resend the full intro each time.

Compared to initial version, this v2 is

 - against net-next-2.6
 - fixed and more exhaustively build tested for various kernel
   configuration (w/ and w/o IPv6, IPv4, MIPv6, XFRM*, RO, ...).
   It adds some #ifdef but I did not found good ways to spare those.
 - built and tested on both current linux-2.6 and net-next-2.6 (*)

Comments welcome.

Cheers,

a+

(*): stripped from latest stats patches from Eric (crash at boot) until
     associated fixes get included tomorrow